GEOS: geos::geom::util::ComponentCoordinateExtracter Class Reference

Public Member Functions | Static Public Member Functions

# geos::geom::util::ComponentCoordinateExtracter Class Reference

Extracts a single representative Coordinate from each connected component of a Geometry. More...

`#include <ComponentCoordinateExtracter.h>`

Inheritance diagram for geos::geom::util::ComponentCoordinateExtracter:

List of all members.

## Public Member Functions
| ComponentCoordinateExtracter (std::vector< const Coordinate * > &newComps)
void | filter_rw (Geometry *geom)
void | filter_ro (const Geometry *geom)
## Static Public Member Functions
static void | getCoordinates (const Geometry &geom, std::vector< const Coordinate * > &ret)

## Detailed Description

Extracts a single representative Coordinate from each connected component of a Geometry.

Version:
  1.9

## Constructor & Destructor Documentation

geos::geom::util::ComponentCoordinateExtracter::ComponentCoordinateExtracter | ( | std::vector< const Coordinate * > & | newComps ) | `[inline]`

Constructs a ComponentCoordinateFilter with a list in which to store Coordinates found.

## Member Function Documentation

void geos::geom::util::ComponentCoordinateExtracter::filter_rw | ( | Geometry * | geom ) | `[inline, virtual]`

Performs an operation with or on `geom`.

Parameters:

  geom | a `Geometry` to which the filter is applied.

Reimplemented from geos::geom::GeometryComponentFilter.

References geos::geom::GEOS_LINEARRING, geos::geom::GEOS_LINESTRING, geos::geom::GEOS_POINT, geos::geom::Geometry::getCoordinate(), and geos::geom::Geometry::getGeometryTypeId().

static void geos::geom::util::ComponentCoordinateExtracter::getCoordinates | ( | const Geometry & | geom,
|  | std::vector< const Coordinate * > & | ret
| ) |  | `[inline, static]`

Push the linear components from a single geometry into the provided vector. If more than one geometry is to be processed, it is more efficient to create a single ComponentCoordinateFilter instance and pass it to multiple geometries.

The documentation for this class was generated from the following file:

- ComponentCoordinateExtracter.h